Reply to topic

G'MIC Preview error

User avatar ChameleonScales
Registered Member
Posts
54
Karma
0
OS

G'MIC Preview error

Fri Jun 21, 2019 8:40 pm
On Debian Stretch, with Krita 4.2.1 appimage and the G'MIC plugin 2.6.6, all G'MIC filters give an error message in the preview and when trying to apply the filter. The messages vary depending on the filter but here's an example with Inpaint [Patch-Based]:
Code: Select all
Preview error:
*** Error in ./fx_inpaint_patch_preview/fx_inpaint_patch/*repeat/(...)/_apply_tiles/*repeat/*local/*if/ ***
Command 'input': File '0', format does not take any input options (options '0,0,1,1' specified).


and then when I try to apply the filter I get this error:
Code: Select all
*** Error in ./fx_inpaint_patch/*repeat/*local/(...)/norm/compose_channels/*repeat/*local/ *** Command 'shared': [instance(0,0,0,0,(nil),non-shared)] gmic<float>::get_shared_channels(): Invalid request of a shared-memory subset (0->4294967295,0->4294967295,0->4294967295,0->0).


Any idea what this is about ?
ahabgreybeard
Registered Member
Posts
861
Karma
8
OS

Re: G'MIC Preview error

Fri Jun 21, 2019 9:29 pm
I tend to use GMIC from a recent nightly appimage build and the latest one available there is version 2.5.6. https://binary-factory.kde.org/job/Krit ... age_Build/ Where did you get 2.6.6 from?

Version 2.5.6 from that link works with krita 4.2.1 appimage with no problems that I can see. Maybe you could try it?
User avatar ChameleonScales
Registered Member
Posts
54
Karma
0
OS

Re: G'MIC Preview error

Sat Jun 22, 2019 2:33 pm
I downloaded both the Krita plugin and the Debian Stretch package on the official gmic download page :
https://gmic.eu/download.shtml

2.6.6 is the latest stable version. It's not a nightly build or a development version.
ahabgreybeard
Registered Member
Posts
861
Karma
8
OS

Re: G'MIC Preview error  Topic is solved

Sat Jun 22, 2019 5:57 pm
GMIC 2.6.6 may be the latest stable version but it's not working for you with the krita 4.2.1 appimage on Debian Stretch.
I've found that just about any krita sourced GMIC appimage works with just about any krita version appimage on Debian Stretch. (This may not be true for widely different issue dates and versions but I try to keep them in sync, more or less.)

If you download the version I suggested, it's an appimage and it works with the krita 4.2.1 appimage for me on Debian Stretch, so you can easily try it with no impact on your current arrangement and see if it works for you. Whether it works or not would then give you and the developers an idea about what to do or what to try next. If it works, you could stay with it, unless GMIC 2.6.6 has some new development that you feel you must have.
User avatar ChameleonScales
Registered Member
Posts
54
Karma
0
OS

Re: G'MIC Preview error

Sat Jun 22, 2019 9:39 pm
You're right, I forgot that the Krita download page provides the plugin as an appimage. It works perfectly now.

I guess the plugin found on G'mic's website is for non-appimage installs of Krita.

 
Reply to topic

Bookmarks



Who is online

Registered users: Baidu [Spider], Bing [Bot], Dibo, Google [Bot], Sogou [Bot]

cron